package com.willalp.system.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 设备绑定1对象 pns_device_relation
 *
 * @author songyu
 * @date 2022-02-25
 */

@TableName("pns_device_relation")
public class DeviceRelation {
    private static final long serialVersionUID = 1L;

    @TableId
    private String relationId;

    private String userNumber;

    private String deviceNumber;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date effectTime;

    private String jgid;

    @TableLogic
    private Integer isDelete;

    public void setRelationId(String relationId)
    {
        this.relationId = relationId;
    }

    public String getRelationId()
    {
        return relationId;
    }
    public void setUserNumber(String userNumber)
    {
        this.userNumber = userNumber;
    }

    public String getUserNumber()
    {
        return userNumber;
    }
    public void setDeviceNumber(String deviceNumber)
    {
        this.deviceNumber = deviceNumber;
    }

    public String getDeviceNumber()
    {
        return deviceNumber;
    }
    public void setEffectTime(Date effectTime)
    {
        this.effectTime = effectTime;
    }

    public Date getEffectTime()
    {
        return effectTime;
    }
    public void setJgid(String jgid)
    {
        this.jgid = jgid;
    }

    public String getJgid()
    {
        return jgid;
    }
    public void setIsDelete(Integer isDelete)
    {
        this.isDelete = isDelete;
    }

    public Integer getIsDelete()
    {
        return isDelete;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("relationId", getRelationId())
            .append("userNumber", getUserNumber())
            .append("deviceNumber", getDeviceNumber())
            .append("effectTime", getEffectTime())
            .append("jgid", getJgid())
            .append("isDelete", getIsDelete())
            .toString();
    }
}
